-- | This module contains all of the endpoints
--   available in the PokitDok Platform API.

module PokitDok.Paths where

apiSite                     = "https://platform.pokitdok.com"
apiVersionPath              = "/api/v4"
apiTokenPath                = "/oauth2/token"
apiEndpointEligibility      = "/eligibility/"
apiEndpointProviders        = "/providers/"
apiEndpointClaims           = "/claims/"
apiEndpointClaimsStatus     = "/claims/status"
apiEndpointEnrollment       = "/enrollment/"
apiEndpointDeductible       = "/deductible/"
apiEndpointPayers           = "/payers/"
apiEndpointPriceInsurance   = "/prices/insurance"
apiEndpointPriceCash        = "/prices/cash"
apiEndpointActivities       = "/activities/"
apiEndpointFiles            = "/files/"
apiEndpointTradingPartners  = "/tradingpartners/"
apiEndpointPlans            = "/plans/"
apiEndpointReferrals        = "/referrals/"
apiEndpointAuthorizations   = "/authorizations/"
apiEndpointSchedulers       = "/schedule/schedulers/";
apiEndpointAppointmentTypes = "/schedule/appointmenttypes/";
apiEndpointSlots            = "/schedule/slots/";
apiEndpointAppointments     = "/schedule/appointments/";
apiEndpointMPC              = "/mpc/"

path :: String
path = apiSite ++ apiVersionPath
